Bug 6480 - Koha produces a lot of apache logs for UNIMARC
Summary: Koha produces a lot of apache logs for UNIMARC
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic data support (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Janusz Kaczmarek
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-07 19:27 UTC by Janusz Kaczmarek
Modified: 2013-12-05 20:04 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (1.89 KB, patch)
2011-06-07 19:31 UTC, Janusz Kaczmarek
Details | Diff | Splinter Review
Bug 6480 - Koha produces a lot of apache logs for UNIMARC (1.94 KB, patch)
2011-06-14 22:05 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Janusz Kaczmarek 2011-06-07 19:27:46 UTC
For Koha with UNIMARC a lot of entries in apache logs are produces like the following:

[Tue Jun 07 21:47:32 2011] [error] [client xxxxxxxxxxxxx] [Tue Jun  7 21:47:32 2011] opac-search.pl: Use of uninitialized value $aufirst in concatenation (.)
 or string at /usr/share/koha/lib/C4/Biblio.pm line 1237.
[Tue Jun 07 21:47:32 2011] [error] [client xxxxxxxxxxxxx] [Tue Jun  7 21:47:32 2011] opac-search.pl: Use of uninitialized value $isbn in concatenation (.) or
 string at /usr/share/koha/lib/C4/Biblio.pm line 1237.
[Tue Jun 07 21:47:32 2011] [error] [client xxxxxxxxxxxxx] [Tue Jun  7 21:47:32 2011] opac-search.pl: Use of uninitialized value $issn in concatenation (.) or
 string at /usr/share/koha/lib/C4/Biblio.pm line 1237.
[Tue Jun 07 21:47:32 2011] [error] [client xxxxxxxxxxxxx] [Tue Jun  7 21:47:32 2011] opac-search.pl: Use of uninitialized value $publisher in concatenation (
.) or string at /usr/share/koha/lib/C4/Biblio.pm line 1237.
[Tue Jun 07 21:47:32 2011] [error] [client xxxxxxxxxxxxx] [Tue Jun  7 21:47:32 2011] opac-search.pl: Use of uninitialized value $pubyear in concatenation (.)
 or string at /usr/share/koha/lib/C4/Biblio.pm line 1237.

In the patch, corrections to the GetCOinSBiblio function has been introduces, in the UNIMARC section: (i.e. || '' at the end of lines that can create this problem) -- analogous as it is in the MARC21 section.
Comment 1 Janusz Kaczmarek 2011-06-07 19:31:12 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2011-06-14 22:05:05 UTC
Created attachment 4465 [details] [review]
Bug 6480 - Koha produces a lot of apache logs for UNIMARC

For Koha with UNIMARC a lot of entries in apache log lines are produced.

In the patch, corrections to the GetCOinSBiblio function has been introduces,
in the UNIMARC section: (i.e. || '' at the end of lines that can create this
problem) -- analogous as it is in the MARC21 section.

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 3 Ian Walls 2011-07-15 11:38:21 UTC
Simple change to read, provides backup initialized value in a harmless way.  Marking as Passed QA
Comment 4 Chris Cormack 2011-07-16 08:27:11 UTC
Pushed, please test
Comment 5 Jared Camins-Esakov 2012-12-31 00:05:51 UTC
There have been no further reports of problems so I am marking this bug resolved.